import pathlib
from setuptools import setup, find_packages

HERE = pathlib.Path(__file__).parent

VERSION = '0.1.5'
PACKAGE_NAME = 'FrozenPy'
AUTHOR = 'Michael Totty'
AUTHOR_EMAIL = 'MicTott@gmail.com'
URL = 'https://github.com/MicTott/FrozenPy'

LICENSE = 'MIT License'
DESCRIPTION = 'A small suit of function for analyzing freezing behavior based on a threshold.'
LONG_DESCRIPTION = (HERE / "README.md").read_text()
LONG_DESC_TYPE = "text/markdown"

INSTALL_REQUIRES = [
      'numpy',
      'pandas'
]

setup(name=PACKAGE_NAME,
      version=VERSION,
      description=DESCRIPTION,
      long_description=LONG_DESCRIPTION,
      long_description_content_type=LONG_DESC_TYPE,
      author=AUTHOR,
      license=LICENSE,
      author_email=AUTHOR_EMAIL,
      url=URL,
      install_requires=INSTALL_REQUIRES,
      packages=find_packages()
      )
